RDKit: RDKit::MolStandardize::Operations Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
RDKit::MolStandardize::Operations Namespace Reference

## Typedefs
using | ParseOperation = decltype(&parse)
using | SerializeOperation = decltype(&serialize)
using | Operation = decltype(&prepareForValidation)
using | ParentOperation = decltype(&makeParent)
using | PipelineVector = std::vector<std::pair<std::uint32_t, Operation>>

## Functions
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | prepareForValidation (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | validate (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | prepareForStandardization (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | standardize (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | reapplyWedging (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | cleanup2D (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR_PAIR | makeParent (RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR | parse (const std::string &molblock, PipelineResult &result, const PipelineOptions &options)
RDKIT_MOLSTANDARDIZE_EXPORT void | serialize (RWMOL_SPTR_PAIR output, PipelineResult &result, const PipelineOptions &options)

## Variables
const PipelineVector | validationSteps
const PipelineVector | standardizationSteps

## Typedef Documentation

## ◆ Operation

using RDKit::MolStandardize::Operations::Operation = decltype(&prepareForValidation)

Definition at line 182 of file Pipeline.h.

## ◆ ParentOperation

using RDKit::MolStandardize::Operations::ParentOperation = decltype(&makeParent)

Definition at line 183 of file Pipeline.h.

## ◆ ParseOperation

using RDKit::MolStandardize::Operations::ParseOperation = decltype(&parse)

Definition at line 180 of file Pipeline.h.

## ◆ PipelineVector

using RDKit::MolStandardize::Operations::PipelineVector = std::vector<std::pair<std::uint32_t, Operation>>

Definition at line 184 of file Pipeline.h.

## ◆ SerializeOperation

using RDKit::MolStandardize::Operations::SerializeOperation = decltype(&serialize)

Definition at line 181 of file Pipeline.h.

## Function Documentation

## ◆ cleanup2D()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::cleanup2D | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ makeParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR_PAIR RDKit::MolStandardize::Operations::makeParent | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ parse()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::parse | ( | const std::string & | molblock,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ prepareForStandardization()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::prepareForStandardization | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ prepareForValidation()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::prepareForValidation | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ reapplyWedging()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::reapplyWedging | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ serialize()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::Operations::serialize | ( | RWMOL_SPTR_PAIR | output,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ standardize()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::standardize | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## ◆ validate()

RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR RDKit::MolStandardize::Operations::validate | ( | RWMOL_SPTR | mol,
|  | PipelineResult & | result,
|  | const PipelineOptions & | options )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## Variable Documentation

## ◆ standardizationSteps

const PipelineVector RDKit::MolStandardize::Operations::standardizationSteps

Initial value:
{
{static_cast<uint32_t>(PipelineStage::PREPARE_FOR_STANDARDIZATION),
&prepareForStandardization},
{static_cast<uint32_t>(PipelineStage::STANDARDIZATION), &standardize},
{static_cast<uint32_t>(PipelineStage::REAPPLY_WEDGING), &reapplyWedging},
{static_cast<uint32_t>(PipelineStage::CLEANUP_2D), &cleanup2D}}
RDKit::MolStandardize::Operations::reapplyWedging
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR reapplyWedging(RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKit::MolStandardize::Operations::cleanup2D
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR cleanup2D(RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKit::MolStandardize::Operations::standardize
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR standardize(RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKit::MolStandardize::Operations::prepareForStandardization
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR prepareForStandardization(RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)

Definition at line 193 of file Pipeline.h.

## ◆ validationSteps

const PipelineVector RDKit::MolStandardize::Operations::validationSteps

Initial value:
{
{static_cast<uint32_t>(PipelineStage::PREPARE_FOR_VALIDATION),
&prepareForValidation},
{static_cast<uint32_t>(PipelineStage::VALIDATION), &validate}}
RDKit::MolStandardize::Operations::validate
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR validate(RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)
RDKit::MolStandardize::Operations::prepareForValidation
RDKIT_MOLSTANDARDIZE_EXPORT RWMOL_SPTR prepareForValidation(RWMOL_SPTR mol, PipelineResult &result, const PipelineOptions &options)

Definition at line 186 of file Pipeline.h.